/* apply a natural box layout model to all elements, but allowing components to change */
.timeline::after {
    content: '';
    position: absolute;
    width: 2px;
    background: #000;
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: -1px;
    display:none!important;
}
.timeline {
  text-align: center;
}
.timeline .year {
  display: inline-block;
  font-size: 36px;
  font-weight: bold;
  position: relative;
}
.timeline .year span {
  display: inline-block;
  padding-bottom: 6px;
}
.timeline .year:after {
  content: "";
  display: block;
  width: 80%;
  margin: auto;
  height: 1px;
  background: #000000;
}
.timeline .year--end:before {
  content: "";
  display: block;
  width: 80%;
  margin: auto;
  height: 1px;
  background: #000000;
}
.timeline .year--end:after {
  content: none;
}
.timeline .days {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
.timeline .days .day {
  width: 100%;
  float: left;
}
.timeline .days .day .events {
  position: relative;
  float: left;
  border-right: 1px solid #000000;
  padding: 30px;
  text-align: right;
  width: 50%;
}
.timeline .days .day .events:after {
  content: "";
  width: 40%;
  display: inline-block;
  height: 1px;
  background: #000000;
  position: absolute;
  right: 0;
}
.timeline .days .day .events .date {
  position: absolute;
  top: 50%;
  left: 100%;
  transform: translateY(-50%);
  padding: 30px;
  text-align: left;
  color: #000000;
  font-size: 24px;
  white-space: nowrap;
}
.timeline .days .day .events .day__img {
  margin-right: -30px;
  position: relative;
  overflow: hidden;
}
.timeline .days .day .events .day__img img {
  display: block;
  float: right;
}
.timeline .days .day .events .day__img .caption {
  position: absolute;
  margin: 0;
  bottom: 0;
  right: 0;
  padding: 20px;
  background: rgba(0, 0, 0, 0.7);
  color: #fff;
}
.timeline .days .day:nth-child(odd) .events {
  width: calc(50% + 1px);
  float: right;
  border-right: 0;
  border-left: 1px solid #000000;
  text-align: left;
}
.timeline .days .day:nth-child(odd) .events:after {
  right: auto;
  left: 0;
}
.timeline .days .day:nth-child(odd) .events .date {
  left: auto;
  right: 100%;
  text-align: right;
}
.timeline .days .day:nth-child(odd) .events .day__img {
  margin-right: auto;
  margin-left: -30px;
}
.timeline .days .day:nth-child(odd) .events .day__img img {
  float: left;
}
.timeline .days .day:nth-child(odd) .events .day__img .caption {
  right: auto;
  left: 0;
}
